# cover-webpack-package统一webpack配置

## 安装

需要手动安装 `webpack` `webpack-cli` `webpack-dev-server`

```shell
yarn add cover-webpack-package -D
// 或
cnpm i cover-webpack-package -D
```

## 说明

- `mode=development` 的时候是开发环境，默认读取src下的index文件为入口文件
- `mode=production` 的时候是生产环境，默认读取src下的plugin的index文件为入口文件

## USAGE

在`package.json` 文件中添加

```json
"scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "dev": "webpack-dev-server --config ./node_modules/cover-webpack-package --mode=development --packageName=cover --historyApiFallback=false --fix=x --open",
    "package": "webpack --config ./node_modules/cover-webpack-package --mode=production --packageName=cover"
  },
```

